import Point from 'ol/geom/Point';
import VectorLayer from 'ol/layer/Vector';
import VectorSource from 'ol/source/Vector';
import { CursorMode } from './../../interfaces/cursor-mode';
import * as CursorActions from './cursor.actions';
export interface State {
    mode: CursorMode;
    visible: boolean;
    layer: VectorLayer<VectorSource<Point>>;
}
export declare function cursorReducer(state: State, action: CursorActions.CursorActions): State;
