import { Action } from '@ngrx/store';
import Circle from 'ol/geom/Circle';
import LineString from 'ol/geom/LineString';
import Polygon from 'ol/geom/Polygon';
import VectorLayer from 'ol/layer/Vector';
import VectorSource from 'ol/source/Vector';
import { MangolLayer } from './../../classes/Layer';
export declare const SET_LAYERS = "[Layers] Set Layers";
export declare const SET_MEASURE_LAYER = "[Layers] Set Measure Layer";
export declare class SetLayers implements Action {
    payload: MangolLayer[];
    readonly type = "[Layers] Set Layers";
    constructor(payload: MangolLayer[]);
}
export declare class SetMeasureLayer implements Action {
    payload: VectorLayer<VectorSource<LineString | Polygon | Circle>>;
    readonly type = "[Layers] Set Measure Layer";
    constructor(payload: VectorLayer<VectorSource<LineString | Polygon | Circle>>);
}
export declare type LayersActions = SetLayers | SetMeasureLayer;
