import LineString from 'ol/geom/LineString';
import MultiLineString from 'ol/geom/MultiLineString';
import MultiPoint from 'ol/geom/MultiPoint';
import MultiPolygon from 'ol/geom/MultiPolygon';
import Point from 'ol/geom/Point';
import Polygon from 'ol/geom/Polygon';
import BaseLayer from 'ol/layer/Base';
import TileLayer from 'ol/layer/Tile';
import VectorLayer from 'ol/layer/Vector';
import TileImage from 'ol/source/TileImage';
import TileWMS from 'ol/source/TileWMS';
import VectorSource from 'ol/source/Vector';
import { MangolLayerOptions } from './../interfaces/config-layers.inteface';
export declare class MangolLayer extends BaseLayer {
    name: string;
    layer: VectorLayer<VectorSource<Point | LineString | Polygon | MultiLineString | MultiPoint | MultiPolygon>> | TileLayer<TileWMS | TileImage>;
    details: string;
    queryable: boolean;
    querySrs: string;
    queryIdProperty: string;
    queryColumns: string[];
    constructor(options: MangolLayerOptions);
}
