import { Store } from '@ngrx/store';
import Feature from 'ol/Feature';
import LineString from 'ol/geom/LineString';
import Point from 'ol/geom/Point';
import Polygon from 'ol/geom/Polygon';
import Style from 'ol/style/Style';
import * as fromMangol from './../../../../store/mangol.reducers';
export declare class StyleService {
    private store;
    hoverColor: [number, number, number];
    constructor(store: Store<fromMangol.MangolState>);
    hoverStyle(feature: Feature<Point | LineString | Polygon>): Style[];
    private _colorWithOpacity;
}
