import Circle from 'ol/geom/Circle';
import LineString from 'ol/geom/LineString';
import Polygon from 'ol/geom/Polygon';
import VectorLayer from 'ol/layer/Vector';
import VectorSource from 'ol/source/Vector';
import { MangolLayer } from './../../classes/Layer';
import * as LayersActions from './layers.actions';
export interface State {
    layers: MangolLayer[];
    measureLayer: VectorLayer<VectorSource<LineString | Polygon | Circle>>;
}
export declare function layersReducer(state: State, action: LayersActions.LayersActions): State;
